Skip to main content
POST
Perform Task Action

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

task_id
string
required

The ID of the task.

Body

application/json
action_type
string
required

The action to perform, as returned by GET /v1/tasks/{task_id}/actions.

transition_to
enum<string>

Status to transition to; inferred if omitted and the action has one target.

Available options:
pending,
accepted,
completed,
dismissed,
blocked,
staged,
retried,
expired

Response

Successful Response